大概是上次 apt-get update && apt-get upgrade 後吧?開始出現了這個問題,也就是平常使用指令時,想要透過 tab 鍵來 autocomplete 時,如 ls -la [TAB] ,隨即就會出現這個訊息:

$ ls -la-bash: warning: setlocale: LC_CTYPE: cannot change locale (zh_TW.UTF-8)

解法參考:http://ubuntuforums.org/showthread.php?t=1471876

$ sudo locale-gen zh_TW.UTF-8
$ sudo update-locale LANG=zh_TW.UTF-8

接著重新 login 就行了

為了避免以後又碰到,所以先筆記一下,畢竟現在管得機器都用共同帳號,這真的不是很好 Orz


changyy 發表在 痞客邦 PIXNET 留言(0) 人氣()